org.apache.solr.util

## Class FastWriter

- java.lang.Object
- - java.io.Writer
  - - org.apache.solr.util.FastWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class FastWriter
      extends Writer

  Single threaded BufferedWriter Internal Solr use only, subject to change.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char[]` | `buf`
    `protected int` | `pos`
    `protected Writer` | `sink`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastWriter(Writer w)`
    `FastWriter(Writer sink, char[] tempBuffer, int start)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FastWriter` | `append(char c)`
    `void` | `close()`
    `void` | `flush()`
    `void` | `flush(char[] buf, int offset, int len)`
    `void` | `flush(String str, int offset, int len)`
    `void` | `flushBuffer()`
    `static FastWriter` | `wrap(Writer sink)`
    `void` | `write(char c)`
    `void` | `write(char[] arr, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sink

          protected final Writer sink

    - #### buf

          protected char[] buf

    - #### pos

          protected int pos

  - ### Constructor Detail

    - #### FastWriter

          public FastWriter(Writer w)

    - #### FastWriter

          public FastWriter(Writer sink,
                            char[] tempBuffer,
                            int start)

  - ### Method Detail

    - #### wrap

          public static FastWriter wrap(Writer sink)

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char c)
                     throws IOException

      Throws:
        `IOException`

    - #### append

          public FastWriter append(char c)
                            throws IOException

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char[] arr,
                            int off,
                            int len)
                     throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush(char[] buf,
                            int offset,
                            int len)
                     throws IOException

      Throws:
        `IOException`

    - #### flush

          public void flush(String str,
                            int offset,
                            int len)
                     throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

    - #### flushBuffer

          public void flushBuffer()
                           throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.